Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005330 [JEDI VCL] 00 JVCL Components major always 2010-09-13 19:50 2012-02-29 16:53
Reporter tetardd View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005330: Override CheckValidDate of JvDateTimePicker to avoid NullDate
Description If you want to display a Nulldate/NullText message togetehr with setting up a MinDate, you'd most likely need to set Nulldate to a date before Mindate. However, the VCL's implementation of CheckValidDate will throw an exception.
I'd recommend overriding the CheckValidDate to:

procedure TJvDateTimePicker.CheckValidDate(Value: TDate);
begin
     If Value <> NullDate Then
          Inherited;
end;

This way, you can do:

JvDateTimePicker.NullDate := 0.0;
JvDateTimePicker.MinDate := Date;
JvDateTimePicker.Date := JvDateTimePicker.NullDate

and no exception thrown!
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0005335resolvedAHUser Call Inherited in CNNotify TJvDateTimePicker missing 

-  Notes
(0017836)
obones (administrator)
2010-10-08 16:34

Please provide the zipped sources of a sample application showing this
(0017866)
obones (administrator)
2010-10-11 10:34

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2010-09-13 19:50 tetardd New Issue
2010-10-08 16:34 obones Note Added: 0017836
2010-10-08 16:34 obones Status new => feedback
2010-10-08 16:38 obones Relationship added related to 0005335
2010-10-11 10:34 obones Note Added: 0017866
2010-10-11 10:34 obones Status feedback => resolved
2010-10-11 10:34 obones Fixed in Version => Daily / SVN
2010-10-11 10:34 obones Resolution open => fixed
2010-10-11 10:34 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker